summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-06-12 01:06:03 +0000
committerMike Frysinger <vapier@gentoo.org>2006-06-12 01:06:03 +0000
commit4b85eed5c6bebad2f1b4e8364754825f2e6516e0 (patch)
tree336f305755c4c7a7b2d731af290da8acf62de453
parentbumping 3.0.2 for bug # 132749 (diff)
downloadgentoo-2-4b85eed5c6bebad2f1b4e8364754825f2e6516e0.tar.gz
gentoo-2-4b85eed5c6bebad2f1b4e8364754825f2e6516e0.tar.bz2
gentoo-2-4b85eed5c6bebad2f1b4e8364754825f2e6516e0.zip
make sure compile runs in C locale so we can messages #136484
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index d353e3f2602a..0c1650796af9 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.290 2006/06/11 00:03:14 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.291 2006/06/12 01:06:03 vapier Exp $
HOMEPAGE="http://gcc.gnu.org/"
LICENSE="GPL-2 LGPL-2.1"
@@ -487,7 +487,7 @@ libc_has_ssp() {
# lib hacks taken from sandbox configure
echo 'int main(){}' > "${T}"/libctest.c
- gcc "${T}"/libctest.c -lc -o libctest -Wl,-verbose &> "${T}"/libctest.log || return 1
+ LC_ALL=C gcc "${T}"/libctest.c -lc -o libctest -Wl,-verbose &> "${T}"/libctest.log || return 1
local libc_file=$(awk '/attempt to open/ { if (($4 ~ /\/libc\.so/) && ($5 == "succeeded")) LIBC = $4; }; END {print LIBC}' "${T}"/libctest.log)
[[ -z ${libc_file} ]] && die "Unable to find a libc !?"